telnet_event_t::subnegotiate_t(3)

NAME
telnet_event_t::subnegotiate_t -

SYNOPSIS

#include <libtelnet.h>

  Data Fields
enum telnet_event_type_t _type
const char * buffer
size_t size
unsigned char telopt

Detailed Description

subnegotiation event

Field Documentation

  enum telnet_event_type_t telnet_event_t::subnegotiate_t::_type
alias for type

  const char* telnet_event_t::subnegotiate_t::buffer
data of sub-negotiation

  size_t telnet_event_t::subnegotiate_t::size
number of bytes in buffer

  unsigned char telnet_event_t::subnegotiate_t::telopt
option code for negotiation

Author

Generated automatically by Doxygen for My Project from the source code.